echo off
chcp 65001

set mainclass=HelloWorldApplicationFX.java
set path="C:\Java\Open-jdk-19\bin\";%path%
set PATH_TO_FX="C:\Java\javafx-sdk-19\lib"
set modules="javafx.base,javafx.controls,javafx.fxml,javafx.graphics,javafx.media,javafx.swing,javafx.web"
echo. 
echo -----------------------------------------------
echo.
echo ------------------------java version----------- 
echo. 
java -version 
echo. 
echo ----------------------------------------------- 
echo. 
echo ------------------------run java program--------------
echo. 
java --module-path %PATH_TO_FX% --add-modules %modules% HelloWorldApplicationFX
echo. 
echo ------------------------end java program--------------
echo. 
pause
